<!DOCTYPE HTML>
<html ng-app>
<head>
	<title>Practicum</title>
	<link href="dist/css/bootstrap.css" rel="stylesheet">
	<link href="dist/css/bootstrap-theme.css" rel="stylesheet">
	<link rel="stylesheet" type="text/css" href="assets/css/docs.css">
	<link rel="stylesheet" type="text/css" href="assets/css/pygments-manni.css">
	<link rel="stylesheet" href="style.css" />
	<script type="text/javascript" src="js/jquery.js"></script>
	<script src="js/angular.min.js"></script>
	<script type="text/javascript" src="js/timeline.js"></script>
	<script type="text/javascript">
		var globalScope;
		var data_light = new Array();
		var on_time = 1;
		var max_number = 1;
		var check_update = true;

		var timeline_data = [
				{data:0}
				];

		$(document).ready(function(){
			CubeDisplay.initial();
			timeline_data[0].data = CubeDisplay.getFocus();
			//alert()
			//alert(timeline_data[0].data);
			$("#array_data").html(timeline_data[0].data);

			$("#selected_time").change(function(){
				timeline_data[on_time-1].data =  timeline_data[$(this).val()-1].data;
				CubeDisplay.setFocus(timeline_data[on_time-1].data);
			});

			
			$('#gettimedata').bind('input propertychange', function() {
			      change_data_file($(this).val());
			      var data = $(this).val();
			      data[data.length-1] = '\0';
			      var str= data.split("\n");
				  angular.element($("#use_controller").scope().$apply(function(scope){
				  		 while(scope.removeto());

				  		 var result = new Array();
					     for(var i = 0 ;i < str[0].length ; i++)
					          result[i] = (str[0][i]*1);

				  		 timeline_data[0].data = result;

				     	 for(var i = 1 ; i < str.length ; i++)
				     	 {
				     	 	scope.addto(str[i]);
				     	 }
				       
				  }));
			   
			      $(this).attr("rows",str.length);
			      addActive(on_time);
			      //alert(timeline_data[2].data);
			});
			

			$("#change_update").click(function(){
				if(check_update)
				{
					$.post("kill_process.php");
					$(this).html("<span class='glyphicon glyphicon-remove'></span> Stop");
					$(this).attr("class","btn btn-danger");
				}
				else
				{
					$(this).html("<span class='glyphicon glyphicon-ok'></span> Updated");
					$(this).attr("class","btn btn-success");
				}

				check_update = !check_update;
			});
		});
	</script>
	<style type="text/css">
		.on-light-scale li
		{
			border: 1px black solid;
		}
	</style>
</head>
<body>
	<div id="use_controller" class="container" ng-controller="TodoCtrl">
		<div class="row">
			<div class="col-lg-4"></div>
			<div class="col-lg-4" style="text-align:center;">
				<br><br><br><br><br><br><br>
				<h1 style="color:white;">Animate Box</h1>
				<br>
			</div>
			<div class="col-lg-4"></div>
		</div>
		<div class="row">
			<div class="col-lg-6">
				<canvas id="id-canvas" width="550" height="400"></canvas>
			</div>
			<div class="col-lg-6">
				<ul class="pagination">
					<li ng-repeat="todo in todos" id="time{{todo.text}}" class="{{todo.onclass}} {{todo.status}}" onclick="addActive({{todo.text}})"><a href="#">{{todo.text}}</a></li>
				</ul>
				<div>
					<button ng-click="addto('')"class="btn"><span class="glyphicon glyphicon-plus"></span> ADD Time</button>
					<button ng-click="removeto()" class="btn"><span class="glyphicon glyphicon-remove"></span> REMOVE Time</button>
					<button ng-click="clearboard()" class="btn btn-warning">Clear</button>
					<button id="change_update" class="btn btn-success"><span class="glyphicon glyphicon-ok"></span> Updated</button>
					<select id="selected_time">
						<option ng-repeat="todo in todos" value="{{todo.text}}">{{todo.text}}</option>
					</select>
				</div>
				<li style="display:none;"><span id="array_data" style="color:white;"></span></li>
				<hr>
				<textarea id="gettimedata" class="form-control" ng-change="getTimeData()" rows="1"></textarea>
				<input type="hidden" id="killproc">
			</div>
		</div>
	</div>
		
	</div>
		<script src="script.js"></script>
</body>
</html>
